ELF_GETSHNUM(3)

NAME
elf_getshnum - return the number of sections in an ELF file

LIBRARY
libelf

SYNOPSIS
#include <libelf.h>
int
elf_getshnum(Elf *elf, size_t *shnum);

DESCRIPTION
Function elf_getshnum() retrieves the number of ELF sections associated with descriptor elf and stores it into the location pointed to by argument shnum.

This routine allows applications to uniformly process both normal ELF objects, and ELF objects that use extended section numbering.

RETURN VALUES
Function elf_getshnum() returns a non-zero value if successful, or zero in case of an error.

ERRORS
Function elf_getshnum() can fail with the following errors:

[ELF_E_ARGUMENT]
    A NULL value was passed in for argument elf.

[ELF_E_ARGUMENT]
    Argument elf was not for an ELF file.

[ELF_E_ARGUMENT]
    Argument elf lacks an ELF Executable header.

SEE ALSO
elf(3), elf32_getehdr(3), elf64_getehdr(3), elf_getident(3), elf_getshstrndx(3), gelf(3), gelf_getehdr(3)